/*
 * AVR based RGB Moodlight
 *
 * moodlight.h - moodlight modes and remote control, prototypes
 *
 * (c) Axel (XL) Schwenke, axel.schwenke@gmx.net
 *
 * $Id: moodlight.h 149 2012-02-14 20:19:45Z schwenke $
 */

#ifndef _MOODLIGHT_H_
#define _MOODLIGHT_H_

#define MAX_BRIGHT 204

extern uint8_t level_r;
extern uint8_t level_g;
extern uint8_t level_b;
extern volatile uint8_t tick;
extern IRMP_DATA irmp_data;

void moodlight_remote(void);
void moodlight_init(void);
void moodlight_wakeup(void);
void moodlight_step(void);

#endif
